OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - v -

- v : Blitter_32bppSimple::Pixel , VehicleScopeResolver , TrainCollideChecker , RefitResult , NPFFindStationOrTileData
- valid_files : BaseSet< T, Tnum_files, Tsearch_in_tars >
- valid_values : CompanyManagerFaceBitsInfo
- ValidateChainIndex() : NewGRFInspectWindow
- value : Cheat , SmallStackItem< Titem, Tindex > , IniItem , Vehicle
- value_names : GRFParameterInfo
- valuedropdown_entry : GameSettingsWindow
- valuewindow_entry : GameSettingsWindow
- var60params : NewGRFInspectWindow
- var_scope : RandomizedSpriteGroup
- variable : CheatEntry
- variables : NIFeature
- variety : GameCreationSettings
- vcache : Vehicle
- vehchain : CursorVars
- Vehicle() : Vehicle
- vehicle : LinkRefresher , OrdersWindow , SoundSettings , CompanySettings , GameSettings , TimetableWindow
- vehicle_breakdowns : DifficultySettings
- vehicle_costs : DifficultySettings
- vehicle_enter_tile_proc : TileTypeProcs
- vehicle_flags : BaseConsist
- vehicle_income_warn : GUISettings
- vehicle_margin : RefitWindow
- vehicle_over : DepotWindow
- vehicle_sel : VehicleGroupWindow
- vehicle_type : BuildVehicleWindow , Group
- vehicle_width : RefitWindow
- VehicleDetailsWindow() : VehicleDetailsWindow
- VehicleListIdentifier() : VehicleListIdentifier
- VehicleReachedProfitAge() : GroupStatistics
- VehicleResolverObject() : VehicleResolverObject
- vehicles : RoadStopEntryRebuilderHelper , BaseVehicleListWindow
- VehicleScopeResolver() : VehicleScopeResolver
- VehicleType : CYapfBaseT< Types >
- vehstatus : Vehicle
- Verify() : Backup< T >
- Version() : StringData
- version : BaseSet< T, Tnum_files, Tsearch_in_tars > , GameStrings , ScriptConfig , LoggedChange , LanguagePackHeader , ContentInfo , GRFConfig , ScriptInfo
- version_compatible : NetworkGameInfo
- version_from : SaveLoad
- version_to : SaveLoad
- versionAPI : ScriptInstance
- VersionHashStr() : StringData
- VERT_CARGO_EDGE : CargoesField
- VERT_CARGO_SPACE : CargoesField
- VERT_INTER_INDUSTRY_SPACE : CargoesField
- VERT_TEXT_PADDING : IndustryCargoesWindow
- vertical_cargoes : CargoesField
- vertical_dimension : NWidgetScrollbar
- VGC_AUTOREPLACE : VehicleGroupWindow
- VGC_NAME : VehicleGroupWindow
- VGC_NUMBER : VehicleGroupWindow
- VGC_PROFIT : VehicleGroupWindow
- VGC_PROTECT : VehicleGroupWindow
- view : ObjectScopeResolver , Object
- viewport : Window
- views : ObjectSpec
- virtual_height : ViewPort
- virtual_left : ViewPort
- virtual_top : ViewPort
- virtual_width : ViewPort
- visible : CursorVars , NWidgetServerListHeader , NWidgetToolbarContainer
- visible_settings : AISettingsWindow
- visual_effect : ShipVehicleInfo , RoadVehicleInfo , RailVehicleInfo
- visual_profit : CargoPayment
- visual_transfer : CargoPayment
- vli : BaseVehicleListWindow
- vm : Squirrel
- vscroll : BuildRailStationWindow , NetworkGameWindow , AIConfigWindow , BuildObjectWindow , MessageHistoryWindow , GoalListWindow , StoryBookWindow , NetworkContentListWindow , AIDebugWindow , AISettingsWindow , AIListWindow , TextfileWindow , SavePresetWindow , RefitWindow
- vscroll2 : BuildRailStationWindow
- vt : WaypointWindow
- vtype : VehicleListIdentifier